import type { AWSDeployment } from '@goldstack/infra-aws';
import type { LambdaApiDeploymentConfiguration } from './types/LambdaDeploymentConfiguration';
import type { LambdaConfig } from './types/LambdaConfig';
export interface DeployFunctionsParams {
    routesPath: string;
    configuration: LambdaApiDeploymentConfiguration;
    deployment: AWSDeployment;
    config: LambdaConfig[];
    packageRootFolder: string;
}
export declare const deployFunctions: (params: DeployFunctionsParams) => Promise<void>;
//# sourceMappingURL=deployFunctions.d.ts.map